package info.bukova.isspst.data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.springframework.security.core.GrantedAuthority;

@Entity
@Table(name="ROLE")
public class Role extends BaseSimpleData implements GrantedAuthority, DataModel {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 5677876140880991163L;
	
	@Column(name="AUTHORITY", unique=true)
	private String authority;
	@Column(name="DESCRIPTION")
	private String description;
		
	public Role(String authority, String description) {
		this.authority = authority;
		this.description = description;
	}
	
	public Role() {
		
	}

	@Override
	public String getAuthority() {
		return authority;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setAuthority(String authority) {
		this.authority = authority;
	}

	@Override
	public boolean equals(Object o) {
		if ((o instanceof Role) && ((Role)o).getId() == this.getId()) {
			return true;
		} else {
			return false;
		}
	}

}
